%
%[x] = gmres_arms(...)
%[x its] = gmres_arms(...)
%
%x is solution of Ax = b, its is the iteration number.
%
%[...] = gmres_arms(A,b)
%[...] = gmres_arms(A,b, max_its,tol,dim);
%[...] = gmres_arms(A,b, max_its,tol,dim, lfil0,tol0,Bsize,perm_type);
%
%default value:
%For gmres:
%60              1. dims     = dimension of Krylov subspace in (outer) FGMRES
%200             2. max_its  = maxits in outer fgmres. 
%1.0e-8          3. tol     = tolerance for stopping iteration
%
%For arms preconditioner
%50              4. lfil0   = initial lfil
%0.001           5. tol0    = initial tol
%0               6. ARMS ONLY: PQ perms or Ind. Sets. 
%30              7. ARMS ONLY: Block-size for independent sets/last block
%
%INPUT PARAMETERS
%----------------------------------
%dim         : dimension of Krylov subspace in (outer) FGMRES
%max_its     : Maximum number of outer iterations
%tol         : tolerance for stopping iteration
%lfil0       : initial fill-in parameter
%tol0        : the initial threshold for dropping small terms in the 
%factorization
%perm_type   : PQ or Indset ordering 
%Bsize       : block size - This has a dual role. It is the block size
%for indset permutations. It is also the last block size for 
%PQ orderings [i.e, algorithm stops when schur complement reaches 
%a size <= Bsize]
%
